## mariadb-10.1 10.1.20

=== debian/changelog ===
mariadb-10.1 (10.1.20-2) unstable; urgency=low

  [ Otto Kekäläinen ]
  * Upload to unstable
  * Previous version string should had been ~exp1, thus this
    first upload to unstable is -2 and not -1 as normal
  * Disable test suite temporairly due to false regressions

  [ Dieter Adriaenssens ]
  * fix Vcs-git link format and repo name
  * update 10.0 to 10.1 in README files

  [ Vicențiu Ciorbaru ]
  * Fix mips missing atomics primitives

 -- Otto Kekäläinen <otto@debian.org>  Sat, 24 Dec 2016 09:54:59 +0200

mariadb-10.1 (10.1.20-1) experimental; urgency=low

  * Upgrade package to new MariaDB 10.1.x series:
    - New upstream release  10.1.20
    - Refresh patches after 10.1.20 import
    - Update strings 10.0 -> 10.1 after importing 10.1.20
    - Refresh patches after 10.1.20 import
    - Update d/control after 10.1 import
    - Use https protected git url in d/control
    - Backwards compatible XS-Testsuite syntax in d/control
    - Import debian/* changes done in upstream 10.1
    - Replace deprecated iproute with iproute2
    - Remove unnecessary dependencies as packages are Essential anyway
    - Remove unnecessary and big file mysql_embedded
    - Switch to 10.1 style build flag for unix socket auth module in d/rules
    - Update d/copyright after 10.1 import
    - Add missing aria_add_gis_sp.sql to mariadb-server-10.1
    - Ship SELinux and AppArmor files with the server, but as inactive
    - New package from upstream 10.1: GSS API (Kerberos) client and server
    - Extend GSSAPI plugin descriptions to satisfy Lintian
    - New plugin from upstream 10.1: Cracklib password validation

 -- Otto Kekäläinen <otto@debian.org>  Tue, 20 Dec 2016 22:46:59 +0200

mariadb-10.0 (10.0.28-3) unstable; urgency=low

  [ Otto Kekäläinen ]
  * Move libmariadbd and -dev next to each other for a more logical flow in d/control
  * Move mariadb-test to last in file for a more logical flow in d/control
  * Clean away unused Lintian overrides
  * Add Lintian override for impossible mysql_config multi-arch requirement
  * Update Debian copyright based on the 2016 git log author list
  * Remove unnecessary /var/lib/mysql-upgrade (Closes: #848620)

  [ Vicențiu Ciorbaru ]
  * Fix connect.upd test in armhf
  * Fix mroonga/storage.index_read_multiple_double test in armhf

 -- Otto Kekäläinen <otto@debian.org>  Tue, 20 Dec 2016 21:59:47 +0200

mariadb-10.0 (10.0.28-2) unstable; urgency=low

  [ Samuel Thibault ]
  * patches/hurd_socket.patch: Also avoid non-working socket path length check
    on hurd-i386.
  * rules: Drop symbols on hurd-i386 too (Closes: #842696).

  [ Daniel Black ]
  * Don't install private mysql header files in libmariadbclient-dev

  [ Otto Kekäläinen ]
  * Update libmariadbd18 description and contents to match latest upstream
  * Mark missing Multi-Arch as suggested by Multiarch hinter
  * Move plugins to $ARCH/*/mariadb18 to meet multiarch needs (Closes: #739452)

 -- Otto Kekäläinen <otto@debian.org>  Fri, 11 Nov 2016 22:03:33 +0200

mariadb-10.0 (10.0.28-1) unstable; urgency=low

  [ Vicențiu Ciorbaru ]
  * Fix tokudb jemalloc linking

  [ Otto Kekäläinen ]
  * New upstream release 10.0.28. Includes fixes for the following
    security vulnerabilities:
    - CVE-2016-8283
    - CVE-2016-7440
    - CVE-2016-6663
    - CVE-2016-5629
    - CVE-2016-5626
    - CVE-2016-5624
    - CVE-2016-5616
    - CVE-2016-5584
    - CVE-2016-3492
  * Drop 4 patches that have been applied upstream.
  * Delete runnable files from mariadb-test-data as they were only
    needed at build time to generate tests.

 -- Otto Kekäläinen <otto@debian.org>  Fri, 28 Oct 2016 22:51:14 +0300

mariadb-10.0 (10.0.27-2) unstable; urgency=low

  [ Dieter Adriaenssens ]
  * Fix typo in README.Contributor
  * Improve documentation on how to clean the build env

  [ James Cowgill ]
  * Mips build and testsuite fixes (Closes: #838557, Closes: #838914)
    - Permit 93 as a valid value of the ENOTEMPTY error in the testsuite
    - Correctly fix mips64 multiplication in taocrypt
    - Ensure groonga is built with libatomic
    - Handle unaligned buffers in connect's TYPBLK class
    - Fix DEFAULT_MACHINE on mips
    - Remove various tests from unstable-tests which now pass on MIPS
    - Update debian/unstable-tests.mips*

  [ Kristian Nielsen ]
  * Fix missing path for perl in autopkgtest (Closes: #809022)
  * Fix test failures on hppa due to wrong enoempty (Closes: #837369)

 -- Otto Kekäläinen <otto@debian.org>  Sun, 02 Oct 2016 09:22:59 +0300

mariadb-10.0 (10.0.27-1) unstable; urgency=low

  * New upstream release 10.0.27
  * Remove 3 patches after 10.0.27 import as they have been applied
    upstream.

 -- Otto Kekäläinen <otto@debian.org>  Wed, 07 Sep 2016 23:05:28 +0300

mariadb-10.0 (10.0.26-3) unstable; urgency=low

  [ Dieter Adriaenssens ]
  * Add DEP-12 formatted upstream metadata file (Closes: #808421)

  [ Vicențiu Ciorbaru ]
  * Update innodb_xtradb patch to introduce memory barrier after lock
  * Fix failing shutdown with gcc v6

  [ Otto Kekäläinen ]
  * Extend commit d5af196 with old name of package libmariadb-dev-compat
  * Extend commit 8d2a7c9 and actually install the tokuftdump man page
  * Update mariadb-test dependencies to include also libmariadbclient18
  * Add path to fix for sporadically failing test main.information_schema_stats
  * d/rules: NUMJOBS must have a default value

 -- Otto Kekäläinen <otto@debian.org>  Wed, 17 Aug 2016 00:31:02 +0300

mariadb-10.0 (10.0.26-2) unstable; urgency=low

  [ Vicențiu Ciorbaru ]
  * Add patch to correctly revert changes from 10.0.26 that caused
    build failure regression on PPC64el

  [ Paul Gevers ]
  * Add autopkg tests for MariaDB 10.0 (Closes: #809022)

  [ Axel Beckert ]
  * Extend mariadb-server to purge gracefully if datadir is a mountpoint
    (Closes: #829491)

  [ Ian Gilfillan ]
  * Add a patch to provide a man page for tokuftdump

  [ Robie Basak ]
  * Re-add libmariadbclient18 and libmariadbclient-dev

