=== debian/tests/control ===
Tests: smoke
Depends: mariadb-server-10.1
Restrictions: allow-stderr needs-root

Tests: upstream
Depends: mariadb-test
Restrictions: allow-stderr breaks-testbed
