## mariadb-10.1 10.1.21

=== debian/changelog ===
mariadb-10.1 (10.1.21-5) unstable; urgency=low

  [ James Clarke ]
  * Make debian/mariadb-server-10.1.install executable (Closes: #852728)
  * Allow mariadb-plugin-tokudb/mroonga on non-linux and non-release arches
  * Detect whether libatomic is needed rather than hard-coding for mips
  * Use host architecture, not build architecture, and clean up variables
  * General clean-up in d/rules

 -- Otto Kekäläinen <otto@debian.org>  Fri, 27 Jan 2017 20:42:36 +0200

mariadb-10.1 (10.1.21-4) unstable; urgency=low

  * Hotfix to full build failure: Add missing galera_new_cluster.1 to patch

 -- Otto Kekäläinen <otto@debian.org>  Thu, 26 Jan 2017 23:33:32 +0200

mariadb-10.1 (10.1.21-3) unstable; urgency=low

  [ Ian Gilfillan ]
  * Extend WSREP and Galera man pages patch to cover all commands

  [ Dieter Adriaenssens ]
  * Specify Architecture for mariadb-plugin-mroonga and mariadb-plugin-tokudb 
    (Closes: #852709)

  [ James Clarke ]
  * Fix FTBFS on non-Linux architectures (Closes: #852728)

 -- Otto Kekäläinen <otto@debian.org>  Thu, 26 Jan 2017 22:18:26 +0200

mariadb-10.1 (10.1.21-2) unstable; urgency=low

  [ Otto Kekäläinen ]
  * Implement systemd packaging the Debian way
  * Extend README.Debian regarding new systemd files
  * Add config file comments about SysV init and systemd differences
  * Extend Debian.README with section about mixing with packages MariaDB.org
  * Update /etc/init.d/mysql after comparison with upstream MariaDB 10.1.21
  * Run chown much faster on the datadir during install/update
  * Check if /var/lib/mysql exists before running 'find' on it
  * Skip mysqld stopping if no mysqld process is running at all
  * Update French debconf translation by Baptiste Jammet (Closes: #850066)
  * Remove unnecessary XS-Testsuite field (as instructed by Lintian)
  * Add a modified version of upstream autobake-deb script to utilize CI tools
  * Fix server config example on how to enable SSL with YaSSL (Closes: #851132)
  * Make commands mariadb and mariadbcheck available with symlinks

  [ Jean Weisbuch ]
  * Update Innotop to latest version

  [ Ian Gilfillan ]
  * Add wsrep_* man pages

 -- Otto Kekäläinen <otto@debian.org>  Wed, 25 Jan 2017 10:42:45 +0200

mariadb-10.1 (10.1.21-1) unstable; urgency=low

  [ Otto Kekäläinen ]
  * New upstream release 10.0.28. Includes fixes for the following
    security vulnerabilities (Closes: #851759, Closes: ##849435):
    - CVE-2017-3318
    - CVE-2017-3317
    - CVE-2017-3312
    - CVE-2017-3291
    - CVE-2017-3265
    - CVE-2017-3258
    - CVE-2017-3257
    - CVE-2017-3244
    - CVE-2017-3243
    - CVE-2017-3238
    - CVE-2016-6664
  * Add new program introduced in upstream 10.1.21: mysqld_safe_helper
  * Deb-CI: remove parameter --skip-ndbcluster not available in 10.1 any more
  * Make libmariadbclient18 depend on mysql-common only (Closes: #850216)
  * Fix misleading config file comment (Closes: #677223)
  * Update preinst variable $this_version from 10.0 to 10.1 (Closes: #851257)

  [ Kristian Nielsen ]
  * Re-implement passwordless root login (Closes: #851131)

 -- Otto Kekäläinen <otto@debian.org>  Thu, 19 Jan 2017 11:33:01 +0200

mariadb-10.1 (10.1.20-3) unstable; urgency=low

  [ Vicențiu Ciorbaru ]
  * Update debian rules to also account for mipsel

 -- Otto Kekäläinen <otto@debian.org>  Sat, 24 Dec 2016 20:23:23 +0200
