=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                debhelper (>= 9),
                dh-apparmor,
                dh-exec,
+               dh-systemd,
                gdb,
                libaio-dev [linux-any],
                libboost-dev,
@@ -20,6 +21,7 @@
                libpam0g-dev,
                libpcre3-dev (>= 2:8.35-3.2~),
                libreadline-gplv2-dev,
+               libsystemd-dev,
                libxml2-dev,
                lsb-release,
                perl,
@@ -29,14 +31,13 @@
                zlib1g-dev (>= 1:1.1.3-5~)
 Standards-Version: 3.9.8
 Homepage: http://mariadb.org/
-Vcs-Git: git://anonscm.debian.org/pkg-mysql/mariadb-10.1.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mysql/mariadb-10.1.git/
-XS-Testsuite: autopkgtest
+Vcs-Git: https://anonscm.debian.org/git/pkg-mysql/mariadb-10.1.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-mysql/mariadb-10.1.git
 
 Package: libmariadbclient18
 Section: libs
 Architecture: any
-Depends: mariadb-common, ${misc:Depends}, ${shlibs:Depends}
+Depends: mysql-common, ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: MariaDB database client library
@@ -166,16 +167,16 @@
          ${perl:Depends},
          ${shlibs:Depends}
 Conflicts: mysql-client-core-5.5, mysql-client-core-5.6, mysql-client-core-5.7
-Breaks: mariadb-client-5.5,
-        mariadb-client-10.0,
+Breaks: mariadb-client-10.0,
+        mariadb-client-5.5,
         mariadb-server-10.0 (<< 10.0.13-1~),
         mysql-client,
         mysql-client-5.5,
         mysql-client-5.6,
         mysql-client-5.7,
         virtual-mysql-client
-Replaces: mariadb-client-5.5,
-          mariadb-client-10.0,
+Replaces: mariadb-client-10.0,
+          mariadb-client-5.5,
           mariadb-server-10.0 (<< 10.0.13-1~),
           mysql-client,
           mysql-client-5.5,
@@ -204,8 +205,8 @@
            mysql-server-5.7
 Breaks: mariadb-client-10.1 (<< ${source:Version}),
         mariadb-server-10.1 (<< ${source:Version}),
+        mariadb-server-core-10.0,
         mariadb-server-core-5.5,
-        mariadb-server-core-10.0,
         mysql-client-5.5,
         mysql-client-5.6,
         mysql-server-core-5.5,
@@ -214,8 +215,8 @@
         virtual-mysql-server-core
 Replaces: mariadb-client-10.1 (<< ${source:Version}),
           mariadb-server-10.1 (<< ${source:Version}),
+          mariadb-server-core-10.0,
           mariadb-server-core-5.5,
-          mariadb-server-core-10.0,
           mysql-client-5.5,
           mysql-client-5.6,
           mysql-client-5.7,
@@ -259,10 +260,10 @@
            mysql-server-core-5.6,
            mysql-server-core-5.7
 Breaks: mariadb-galera-server,
+        mariadb-galera-server-10.0,
         mariadb-galera-server-5.5,
-        mariadb-galera-server-10.0,
+        mariadb-server-10.0,
         mariadb-server-5.5,
-        mariadb-server-10.0,
         mariadb-tokudb-engine-10.0,
         mariadb-tokudb-engine-10.1,
         mariadb-tokudb-engine-5.5,
@@ -273,10 +274,10 @@
         mysql-server-5.7,
         virtual-mysql-server
 Replaces: mariadb-galera-server,
+          mariadb-galera-server-10.0,
           mariadb-galera-server-5.5,
-          mariadb-galera-server-10.0,
+          mariadb-server-10.0,
           mariadb-server-5.5,
-          mariadb-server-10.0,
           mariadb-tokudb-engine-10.0,
           mariadb-tokudb-engine-10.1,
           mariadb-tokudb-engine-5.5,
